"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const benchmark_1 = __importDefault(require("benchmark"));
function bench(fn, inputs) {
    const inputsArray = [...inputs];
    const numberOfInputs = inputsArray.length;
    let result = -1;
    new benchmark_1.default.Suite()
        .add(fn.name, () => {
        for (const input of inputs) {
            fn(input);
        }
    })
        .on('cycle', (event) => {
        result = Math.floor(event.target.hz * numberOfInputs);
    })
        .run({ async: false });
    return result;
}
exports.default = bench;
//# sourceMappingURL=index.js.map