import Benchmark from 'benchmark';
export default function bench(fn, inputs) {
    const inputsArray = [...inputs];
    const numberOfInputs = inputsArray.length;
    let result = -1;
    new Benchmark.Suite()
        .add(fn.name, () => {
        for (const input of inputs) {
            fn(input);
        }
    })
        .on('cycle', (event) => {
        result = Math.floor(event.target.hz * numberOfInputs);
    })
        .run({ async: false });
    return result;
}
//# sourceMappingURL=index.js.map